Skip to main content
GET
/
public-api
/
billing
/
usage
Get credit usage for a month
curl --request GET \
  --url https://api.neoagent.io/public-api/billing/usage \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "credits_limit": 123,
    "credits_remaining": 123,
    "credits_used": 123,
    "forecasted_credits": 123,
    "month": "<string>",
    "reserve_balance": 123
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Query Parameters

month
string

Month in YYYY-MM format. Defaults to current month.

Response

Success.

data
MonthlyUsage · object
required
meta
object
required